Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
flock Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
short | l_type
short | l_whence
off_t | l_start
off_t | l_len
pid_t | l_pid

## Detailed Description

Definition at line 1401 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ l_len

off_t flock::l_len

Definition at line 1405 of file rb_mjit_min_header-2.7.0.h.

## ◆ l_pid

pid_t flock::l_pid

Definition at line 1406 of file rb_mjit_min_header-2.7.0.h.

## ◆ l_start

off_t flock::l_start

Definition at line 1404 of file rb_mjit_min_header-2.7.0.h.

## ◆ l_type

short flock::l_type

Definition at line 1402 of file rb_mjit_min_header-2.7.0.h.

## ◆ l_whence

short flock::l_whence

Definition at line 1403 of file rb_mjit_min_header-2.7.0.h.

The documentation for this struct was generated from the following file:

- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h